Subject: bug#68663: Unsaved buffers dialog is unhelpful

From: Eli Zaretskii <[email-masked]>
Date: Sat, 27 Jan 2024 16:54:35 +0200

> From: Nikolay Kudryavtsev <[email-masked]>
> Date: Sat, 27 Jan 2024 17:40:32 +0300
> Cc: [email-masked]
> 
> So the big question here is this: what's going to be the dev team's 
> decision on the idea of getting rid of the pop up dialog entirely and 
> replacing it with C-x C-c(save-some-buffers) minibuffer prompt?

You can have it already in your customizations: set use-dialog-box to
nil.

Getting rid of dialog boxes entirely is out of the question, since
Emacs always prompts with a dialog box when some command was invoked
from the menu bar by clicking the mouse.  This is very old behavior,
and we cannot change it, not even for a single command.  Sorry.